Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Fehler bei Aufruf von den Einstellungen
#1
Hallo liebe Leute,

mein Name ist Sarah und ich bin recht neu in Bezug auf Webseiten machen und Forensoftware. Ich habe heute die neuste Version der Forensoftware aufgesetzt. Das verlief alles sehr gut.
Aber ich bekomme diese Fehlermeldung wenn ich in der ADmin CP unter Startseite den Punk Einstellungen aufrufe.

Warning [2] require_once(/home/xxxxx/public_html/xxxxx/ forum/inc/3rdparty/2fa/GoogleAuthenticator.php): failed to open stream: No such file or directory - Line: 47 - File: admin/modules/home/preferences.php PHP 5.6.30 (Linux)
File
Line
Function/admin/modules/home/preferences.php
47
errorHandler->error
/admin/modules/home/preferences.php
47
require_once
/admin/index.php
803
require

kann mir da jemand helfen?

Danke
Gruß Sarah
Zitieren
#2
Willkommen Sarah.

Dieser Fehler gesagt, das diese Datei fehlt und kann somit auch nicht geladen werden. Hast Du wirklich alle Dateien auf deinen Webspace geladen ?
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#3
Hallo MrBrechreiz,

Erst mal Danke für die Antwort. Ja ich habe definitiv alles hochgeladen. Habe selbst heute Morgen noch mal geschaut ob die php-Dateien da sind.

lg
Sarah
Zitieren
#4
Wenn alles drauf ist, sollte doch kein Fehler erzeugt werden. Mit welchen FTP Programm hast Du die Dateien hochgeladen und mit welchen Übertragungstyp (ASCII oder Binär oder Automatisch) ?
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#5
Hallo zusammen,

der Fehler ist gefunden, der Tip mit dem das die Datei nicht da ist brachte mich auf die Idee. Es lag an der Schreibweise. Die php Datei verlangt diese Datei " GoogleAuthenticator.php " aber so gibt es sie nicht sondern nur
"googleauthenticator.php".

Also in dem Order /inc/3rdparty/2fa/ die Datei in umbenennen in " GoogleAuthenticator.php " dann get es.
 
oder

GGF. kann man auch den Dateinamen in der Datei

/admin/modules/home/preferences.php

dort in Zeile 47 die GoogleAuthenticator.php in das abändern googleauthenticator.php.

Beide Lösungen gehen.

Es wäre sicherlich von Vorteil das im Installationspack abzuändern !
Zitieren
#6
In den MyBB-Paketen heißt die Datei korrekt GoogleAuthenticator.php.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#7
hi!
oha sarah, über das problem bin ich auch schon gestolpert!
in meinem ftp prog war ein hakerl bei umwandeln in kleinbuchstaben aktiviert.
hab ich aber auch schon wieder vergessen.
thnx, wird sicherheitshalber in mein kleines wiki eingetragen! Wink
greets
sjfm
Zitieren